Package: org.codehaus.groovy.transform

## [Groovy] Class TimedInterruptibleASTTransformation

- org.codehaus.groovy.transform.TimedInterruptibleASTTransformation

-     @AutoFinal
      @GroovyASTTransformation(phase: CompilePhase.CANONICALIZATION)
      class TimedInterruptibleASTTransformation
      extends AbstractASTTransformation

  Allows "interrupt-safe" executions of scripts by adding timer expiration checks on loops (for, while, do) and first statement of closures. By default, also adds an interrupt check statement on the beginning of method calls.

  See Also:
    ThreadInterrupt
  Since:
    1.8.0

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AbstractASTTransformation` | `RETENTION_CLASSNODE, sourceUnit`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `TimedInterruptibleASTTransformation ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static Object` | `getConstantAnnotationParameter(AnnotationNode node, String parameterName, Class type, Object defaultValue)`
    `` | `void` | `visit(ASTNode[] nodes, SourceUnit source)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractASTTransformation` | `addError, checkIncludeExclude, checkIncludeExclude, checkIncludeExcludeUndefinedAware, checkIncludeExcludeUndefinedAware, checkNotInterface, checkPropertyList, checkPropertyList, checkPropertyList, copyAnnotatedNodeAnnotations, copyAnnotatedNodeAnnotations, deemedInternalName, getAnnotationName, getClassList, getMemberClassList, getMemberClassValue, getMemberClassValue, getMemberIntValue, getMemberList, getMemberStringList, getMemberStringValue, getMemberStringValue, getMemberValue, hasAnnotation, init, memberHasValue, nonGeneric, shouldSkip, shouldSkip, shouldSkipOnDescriptor, shouldSkipOnDescriptorUndefinedAware, shouldSkipUndefinedAware, shouldSkipUndefinedAware, tokenize`

- - ### Constructor Detail

    - #### TimedInterruptibleASTTransformation()

  - ### Method Detail

    - #### @SuppressWarnings(value: Instanceof) static Object getConstantAnnotationParameter(AnnotationNode node, String parameterName, Class type, Object defaultValue)

    - #### @SuppressWarnings(value: Instanceof) void visit(ASTNode[] nodes, SourceUnit source)